Bug 36617 - Kudzu will not restore a previously removed USB controller
Summary: Kudzu will not restore a previously removed USB controller
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-19 04:35 UTC by Jason Kirtland
Modified: 2014-03-17 02:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-19 15:38:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Kirtland 2001-04-19 04:35:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Kudzu seems unable to re-detect my USB controller.

I had disabled USB in my BIOS, and allowed Kudzu to remove the 
configuration.  Turned out I didn't need to disable the USB, so I turned 
it back on.  Kudzu would not retect the USB settings.

The hwconf file seemed to still have USB settings in it, however the 
driver field was "disabled" and I couldn't figure out how to fix it by 
hand.

On a related note, I expected the --bus flag to just check for things on 
that bus.  Not "check this bus, and remove everything else from hwconf."


Reproducible: Didn't try
Steps to Reproduce:
1.  Install seawolf w/ USB on
2.  Turn off USB, allow kudzu to remove controllers
3.  Turn USB on
	

Adding usb to /etc/modules.conf and insmoding modules by hand didn't seem 
to help Kudzu detect the USB hardware.  Even after deleting the disabled 
USB sections from the hwconf.

Comment 1 Bill Nottingham 2001-04-19 15:38:04 UTC
What does lspci -v say after you've re-enabled it?

Comment 2 Bill Nottingham 2002-01-24 03:31:57 UTC
closing, no feedback in bugzilla.


Note You need to log in before you can comment on or make changes to this bug.